Subject: Re: [dtn] new version of charter

From: Martin Stiemerling <[email-masked]>
Date: Thu, 02 Oct 2014 17:58:51 +0200

Hi all,

As told in my last email, I have a few comments about the charter.

In general the charter is good and well scoped.

I have an issue with this paragraph:
"Before the updates of the protocol specifications are worked on, the 
Problem statement should be agreed within the working group and with the 
IESG, specially on what the additional work items will be."

I don't see the IESG in position to judge about what of the protocols 
will be updated in the first place. This is the task of the WG and it 
needs to find rough consensus about protocol and what detail of any 
protocol should be worked on (as long as this is covered by the charter, 
as usual).

Therefore, my proposal is to do this:
OLD
Before the updates of the protocol specifications are worked on, the 
Problem statement should be agreed within the working group and with the 
IESG, specially on what the additional work items will be.

NEW:
The DTNWG must reach rough consensus on the "DTN Revision Problem 
Statement, Use Cases, Requirements and Development Strategy" document 
before the working group is permitted to work on any updates to the 
protocol specifications."

Mostly editorials are:
- the charter says "there is a need to update the base specifications 
based" but for me it is not clear if this comprises all the named RFCs 
in the charter above or a subset of them or even more RFCs than listed.

-  the milestones have to be consistent with the work item on "DTN 
Revision Problem Statement, Use Cases, Requirements and Development 
Strategy", just to avoid any confusion. The chairs will update the 
charter text about this already.

Thanks,

   Martin

Am 30.09.14 um 20:10 schrieb Marc Blanchet:
> Hello, after our conf call today, there was a concensus within the
> group who attended (about ~20 people) that we would use this version
> of the charter, as the base. Therefore, please use the one below for
> comments.
>
> Regards, Marc&Fred.
>
> ============================== Working group name:
>
> Delay/Disruption Tolerant Networking Working Group (DTNWG)
>
> Chair(s):
>
> TBD
>
> Area and Area Director(s):
>
> Transport Area: ADs Spencer Dawkins <spencerdawkins.ietf at
> gmail.com>, Martin Stiemerling <mls.ietf at gmail.com>
>
> Responsible Area Director:
>
> Martin Stiemerling <mls.ietf at gmail.com>
>
> Mailing list:
>
> General Discussion: dtn at ietf.org To Subscribe:
> https://www.ietf.org/mailman/listinfo/dtn Archive:
> http://www.ietf.org/mail-archive/web/dtn/current/maillist.html
>
> Description of Working Group:
>
> The Delay/Disruption Tolerant Network Working Group (DTNWG)
> specifies mechanisms for data communications in the presence of long
> delays and/or intermittent connectivity. Delay-Tolerant Networking
> (DTN) protocols have been the subject of extensive research and
> development in the Delay-Tolerant Networking Research Group (DTNRG)
> of the Internet Research Task Force since 2002. The key documents are
> the « DTN Architecture » (RFC 4838), the Bundle Protocol (RFC 5050),
> Licklider Transmission Protocol (RFC 5326) and convergence layers
> (RFC 7122, 7242). Multiple independent implementations exist for
> these technologies and multiple deployments in space and terrestrial
> environments. There is an increase interest in the commercial world
> for these technologies, for similar and different use cases, such as
> unmanned air vehicles. In this context, there is a need to update the
> base specifications based on the deployment and implementation
> experience as well as the new use cases. Moreover, there is also a
> need to have standards track documents for the market.
>
> Therefore, the purpose of the working group is to document the new
> use cases and requirements and to update the base specifications. The
> group shall not endeavour to change the underlying architecture or
> the bundle protocol principle.
>
> Work items are:
>
> o An informational « DTN Revision Problem Statement, Use Cases,
> Requirements and Development Strategy » document
>
> o Updates to RFC5050, convergence layer RFCs, security(RFC6257), as
> standard track documents.
>
> o A registry for DTN Service Identifiers
>
> Before the updates of the protocol specifications are worked on, the
> Problem statement should be agreed within the working group and with
> the IESG, specially on what the additional work items will be.
>
> Goals and Milestones:
>
> April 2015 Informational document sent to IESG
>
> _______________________________________________ dtn mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/dtn
>

---

From: Martin Stiemerling <[email-masked]>
Date: Mon, 06 Oct 2014 15:56:29 +0200

Hi all,

I guess the proposed changes are just ok for you folks and I can apply 
them to the draft charter and bring it to the IESG for IESG review.

Thanks,

   Martin

---

From: John Dowdell <[email-masked]>
Date: Tue, 07 Oct 2014 15:51:18 +0100

Martin

I do not believe your words changes any intent, but just phrases the 
intent in language likely to be more acceptable to the IESG. So count me 
as ok, notwithstanding any discussion about how many documents that the 
topic actually generates.

John

On 06/10/14 14:56, Martin Stiemerling wrote:
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dtn

---

From: <[email-masked]>
Date: Tue, 7 Oct 2014 21:36:39 +0000

i missed concall discussion of the charter - saw Stephen's email withdrawing his proposal while transiting Hong Kong en route to arrange a funeral - but believe that this charter is basically the same in essence as the previous one.

In other words, my previous concerns about using the bundle protocol as a base and ccsds standards body interaction remain valid, and so should be raised with the iesg.

Lloyd Wood
http://sat-net.com/L.Wood/dtn
________________________________________
From: dtn <[email-masked]> on behalf of John Dowdell <[email-masked]>
Sent: Wednesday, 8 October 2014 1:51:18 AM
To: [email-masked]
Subject: Re: [dtn] new version of charter

Martin

John

>>> [email-masked] https://www.ietf.org/mailman/listinfo/dtn

_______________________________________________
dtn mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dtn